PETSc version 3.15.5
Fix/Edit manual page

# PetscSynchronizedPrintf

Prints synchronized output from several processors. Output of the first processor is followed by that of the second, etc.

### Synopsis

    PetscErrorCode PetscSynchronizedPrintf(MPI_Comm comm,const char format[],...)

Not Collective

### Input Parameters

| comm | - the communicator
| format | - the usual printf() format string

### Notes

REQUIRES a call to PetscSynchronizedFlush() by all the processes after the completion of the calls to PetscSynchronizedPrintf() for the information from all the processors to be printed.

### Fortran Note

The call sequence is PetscSynchronizedPrintf(MPI_Comm, character(*), PetscErrorCode ierr) from Fortran. That is, you can only pass a single character string from Fortran.

### See Also

PetscSynchronizedFlush(), PetscSynchronizedFPrintf(), PetscFPrintf(),
PetscPrintf(), PetscViewerASCIIPrintf(), PetscViewerASCIISynchronizedPrintf()

### Level

intermediate

### Location

src/sys/fileio/mprint.c

### Examples

src/sys/tutorials/ex2.c.html
src/sys/tutorials/ex2f.F90.html
src/vec/vec/tutorials/ex9.c.html
src/vec/is/sf/tutorials/ex1.c.html
src/dm/tutorials/ex5.c.html
src/dm/tutorials/ex51.c.html
src/ksp/pc/tutorials/ex3.c.html
src/ts/tutorials/ex10.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages